Skip to main content

Deduplication API

Backend for Epilot Deduplication feature

Quick Start​

# List available operations
epilot deduplication

# Call an operation
epilot deduplication deduplicate

Common Flags​

FlagDescription
-p key=valueSet a named parameter
-d '{...}'Request body JSON
-H 'Key: Value'Custom header
-t, --token <token>Bearer token for authentication
--profile <name>Use a named profile
-s, --server <url>Override server base URL
-i, --includeInclude response headers in output
--jsonOutput raw JSON (no formatting)
-v, --verboseVerbose output (show request details)
--jsonata <expr>JSONata expression to transform response
--definition <file>Override OpenAPI spec file/URL
--guidedPrompt for all parameters interactively
--no-interactiveDisable interactive prompts

Operations​

deduplicate​

Deduplicates Entities

POST /v1/deduplicate

Request Body

Sample Call

epilot deduplication deduplicate \
-d '[{"toKeep":"string","toDelete":["string"]}]'

Using stdin pipe:

cat body.json | epilot deduplication deduplicate

With JSONata filter:

epilot deduplication deduplicate --jsonata '$'
Sample Response
[
{
"_id": "string",
"_org": "string",
"_schema": "string",
"_created_at": "1970-01-01T00:00:00.000Z",
"_updated_at": "1970-01-01T00:00:00.000Z",
"_created_by": "string",
"created_by": "string",
"_tags": ["string"],
"_acl": {},
"_owners": [
{
"org_id": "string",
"user_id": "string"
}
],
"type": "string"
}
]